ptr_data Struct Reference

`#include <dl.h>`

## Data Fields

void * | ptr
long | size
freefunc_t | free
VALUE | wrap [2]

## Detailed Description

Definition at line 209 of file dl.h.

## Field Documentation

freefunc_t ptr_data::free

Definition at line 212 of file dl.h.

Referenced by dlptr_free(), rb_dlptr_free_get(), rb_dlptr_free_set(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_new2(), and rb_dlptr_s_allocate().

void* ptr_data::ptr

Definition at line 210 of file dl.h.

Referenced by dlptr_free(), dlptr_mark(), dlptr_memsize(), rb_dl_free(), rb_dl_malloc(), rb_dl_realloc(), rb_dlptr2cptr(), rb_dlptr_aref(), rb_dlptr_aset(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_malloc(), rb_dlptr_minus(), rb_dlptr_new2(), rb_dlptr_null_p(), rb_dlptr_plus(), rb_dlptr_ptr(), rb_dlptr_ref(), rb_dlptr_s_allocate(), rb_dlptr_s_to_ptr(), rb_dlptr_to_i(), rb_dlptr_to_s(), rb_dlptr_to_str(), and rb_dlptr_to_value().

long ptr_data::size

Definition at line 211 of file dl.h.

Referenced by dlptr_memsize(), rb_dlptr_initialize(), rb_dlptr_inspect(), rb_dlptr_new2(), rb_dlptr_s_allocate(), and rb_dlptr_to_str().

VALUE ptr_data::wrap[2]

Definition at line 213 of file dl.h.

Referenced by dlptr_mark(), rb_dlptr_free_set(), rb_dlptr_initialize(), rb_dlptr_s_malloc(), and rb_dlptr_s_to_ptr().

The documentation for this struct was generated from the following file:

- ext/dl/dl.h